seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/05/28, 17:54:30


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: CAUTION -- python3.7 will remove hplip, libreoffice, etc. etc.  (Read 5407 times)

0 Members and 1 Guest are viewing this topic.

Offline samoht

  • User
  • Posts: 352
sid is full of surprises.  ;)

On my machine:

Code: [Select]
# LANG=C apt full-upgrade -d
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Code: [Select]
# LANG=C apt policy libkworkspace5-5 kde-plasma-desktop kinfocenter libqalculate5v5 plasma-desktop plasma-widgets-addons plasma-workspace sddm-theme-breeze
libkworkspace5-5:
  Installed: 4:5.14.3-1+b1
  Candidate: 4:5.14.3-1+b1
  Version table:
 *** 4:5.14.3-1+b1 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        500 https://incoming.debian.org/debian-buildd buildd-unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:5.13.5-1+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
     4:5.8.6-2.1+deb9u1 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages
kde-plasma-desktop:
  Installed: 5:102
  Candidate: 5:102
  Version table:
 *** 5:102 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     5:92 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages
kinfocenter:
  Installed: 4:5.14.3-1
  Candidate: 4:5.14.3-1
  Version table:
 *** 4:5.14.3-1 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:5.13.4-1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
     4:5.8.4-1 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages
libqalculate5v5:
  Installed: (none)
  Candidate: 0.9.7-9.2+b1
  Version table:
     0.9.7-9.2+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        500 https://deb.debian.org/debian unstable/main amd64 Packages
     0.9.7-9.2 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages
plasma-desktop:
  Installed: 4:5.14.3-1
  Candidate: 4:5.14.3-1
  Version table:
 *** 4:5.14.3-1 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:5.13.5-1+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
     4:5.8.6-1 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages
plasma-widgets-addons:
  Installed: 4:5.14.3-1
  Candidate: 4:5.14.3-1
  Version table:
 *** 4:5.14.3-1 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:5.13.5-1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
     4:5.8.5-2 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages
plasma-workspace:
  Installed: 4:5.14.3-1+b1
  Candidate: 4:5.14.3-1+b1
  Version table:
 *** 4:5.14.3-1+b1 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        500 https://incoming.debian.org/debian-buildd buildd-unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:5.13.5-1+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
     4:5.8.6-2.1+deb9u1 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages
sddm-theme-breeze:
  Installed: 4:5.14.3-1+b1
  Candidate: 4:5.14.3-1+b1
  Version table:
 *** 4:5.14.3-1+b1 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        500 https://incoming.debian.org/debian-buildd buildd-unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:5.13.5-1+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
     4:5.8.6-2.1+deb9u1 500
        500 http://snapshot.debian.org/archive/debian/20181101 stretch/main amd64 Packages

Offline Penyelam

  • User
  • Posts: 150
Bei mir wurden nur 2 Pakete entfernt (KDE):
Code: [Select]
Remove: libqalculate5-data:amd64 (0.9.7-9.2), libqalculate5v5:amd64 (0.9.7-9.2+b1)
End-Date: 2018-11-28  12:05:40

Offline finotti

  • User
  • Posts: 135
I also have those packages to be removed:
Code: [Select]
The following packages will be REMOVED:
  kinfocenter libqalculate5v5 plasma-desktop plasma-widgets-addons plasma-workspace sddm-theme-breeze
The following NEW packages will be installed:
  libfdk-aac2 libpython3.7 linux-headers-4.19.0-4.slh.1-aptosid-amd64 linux-image-4.19.0-4.slh.1-aptosid-amd64
The following packages will be upgraded:
  acpid ark aspell-pt-br avidemux avidemux-common avidemux-plugins avidemux-qt binutils binutils-common binutils-x86-64-linux-gnu
  bluedevil breeze breeze-cursor-theme breeze-gtk-theme btrfs-progs calf-plugins cpp-8 cryptsetup cryptsetup-bin
  cryptsetup-initramfs cryptsetup-run cups-filters cups-filters-core-drivers drkonqi feh ffmpeg firefox fonts-opensymbol fragmaster
  g++-8 gcc-8 gcc-8-base gdb-minimal gfortran-8 ghostscript ghostscript-x gir1.2-freedesktop gir1.2-glib-2.0 git git-gui git-man
  gitk gtk3-engines-breeze handbrake-cli handbrake-gtk hplip init init-system-helpers initscripts kactivitymanagerd kde-cli-tools
  kde-cli-tools-data kde-config-gtk-style kde-config-sddm kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen
  kde-style-oxygen-qt4 kdeplasma-addons-data khotkeys khotkeys-data kmenuedit kscreen ksysguard ksysguard-data ksysguardd
  kwin-common kwin-data kwin-style-breeze kwin-x11 libasan5 libasound2 libatkmm-1.6-1v5 libatomic1 libavcodec58 libavdevice58
  libavfilter7 libavformat58 libavresample4 libavutil56 libbasicusageenvironment1 libbinutils libblockdev-crypto2 libblockdev-fs2
  libblockdev-loop2 libblockdev-mdraid2 libblockdev-part-err2 libblockdev-part2 libblockdev-swap2 libblockdev-utils2 libblockdev2
  libcap-ng0 libcc1-0 libclang1-7 libcolorcorrect5 libcryptsetup12 libcupsfilters1 libdap25 libdapclient6v5 libdapserver7v5
  libegl-mesa0 libegl1-mesa libffi6 libfontembed1 libfreetype6 libfreetype6-dev libgbm1 libgcc-8-dev libgcc1 libgdbm-compat4
  libgdbm-dev libgdbm6 libgdcm2.8 libgfortran-8-dev libgfortran5 libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx
  libglapi-mesa libgles2-mesa libglx-mesa0 libgomp1 libgphoto2-6 libgphoto2-port12 libgroupsock8 libgs9 libgs9-common libhpmud0
  libitm1 libjavascriptcoregtk-4.0-18 libkdecorations2-5v5 libkdecorations2private6 libkf5runner5 libkf5screen-bin libkf5screen7
  libkf5sysguard-bin libkf5sysguard-data libkfontinst5 libkfontinstui5 libkpmcore7 libkscreenlocker5 libksgrd7 libksignalplotter7
  libkwin4-effect-builtins1 libkwineffects11 libkwinglutils11 libkwinxrenderutils11 libkworkspace5-5 libldb1 liblirc-client0
  liblircclient0 liblivemedia64 libllvm7 liblsan0 libminiupnpc17 libmlt++3 libmlt-data libmlt6 libmojolicious-perl libmpx2
  libnatpmp1 libnghttp2-14 libnss3 libomp5-7 liborcus-0.13-0 libosmesa6 libpangomm-1.4-1v5 libplasma-geolocation-interface5
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpostproc55 libpowerdevilcore2 libpowerdevilui5 libpq5
  libprocesscore7 libprocessui7 libprotobuf-lite17 libpython3-stdlib libquadmath0 librados2 librbd1 libreoffice
  libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-help-common libreoffice-help-de libreoffice-help-en-us
  libreoffice-impress libreoffice-java-common libreoffice-kde5 libreoffice-l10n-de libreoffice-librelogo libreoffice-math
  libreoffice-report-builder-bin libreoffice-script-provider-python libreoffice-style-breeze libreoffice-style-colibre
  libreoffice-style-tango libreoffice-wiki-publisher libreoffice-writer libruby2.5 libsane-hpaio libsmbclient libsqlite3-0
  libsqlite3-dev libssl-dev libssl1.0.2 libssl1.1 libstdc++-8-dev libstdc++6 libswresample3 libswscale5 libtaskmanager6 libtdb1
  libtiff5 libtsan0 libubsan1 libudisks2-0 libunbound8 libupower-glib3 libusageenvironment3 libvolume-key1 libwayland-egl1-mesa
  libwbclient0 libweather-ion7 libwebkit2gtk-4.0-37 libwxbase3.0-0v5 libwxgtk3.0-0v5 libxatracker2 linux-headers-aptosid-amd64
  linux-image-aptosid-amd64 linux-libc-dev melt milou openssl ovmf oxygen-sounds partitionmanager plasma-browser-integration
  plasma-dataengines-addons plasma-desktop-data plasma-integration plasma-pa plasma-wallpapers-addons plasma-workspace-wallpapers
  policykit-1 polkit-kde-1 polkit-kde-agent-1 powerdevil powerdevil-data printer-driver-hpcups python-mlt python-numpy python3
  python3-dbus.mainloop.pyqt5 python3-jedi python3-minimal python3-numpy python3-psutil python3-pyqt5 python3-pyqt5.qtmultimedia
  python3-pyqt5.qtopengl python3-pyqt5.qtsvg python3-pyqt5.qtwebkit python3-reportbug python3-uno
  qml-module-qtquick-controls-styles-breeze qtchooser reportbug ruby2.5 samba-common samba-libs smbclient sudo supermin
  systemsettings sysv-rc sysvinit-utils thunderbird udisks2 uno-libs3 upower ure vapoursynth vim vim-common vim-runtime xxd
295 upgraded, 4 newly installed, 6 to remove and 0 not upgraded.
Need to get 0 B/550 MB of archives.
After this operation, 239 MB of additional disk space will be used.
Download complete and in download only mode
After some investigation, it seems to me (not an expert at all!) that the problem is with libqalculate5v5.  Maybe forcing the installation of libqalculate20 would fix it?
Code: [Select]
# apt -s install libqalculate20
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  breeze breeze-cursor-theme drkonqi kactivitymanagerd kde-cli-tools kde-cli-tools-data kde-style-breeze kde-style-breeze-qt4
  kdeplasma-addons-data kinfocenter kscreen kwin-common kwin-data kwin-style-breeze kwin-x11 libkwin4-effect-builtins1
  libkwineffects11 libkwinglutils11 libkwinxrenderutils11 libqalculate20-data milou oxygen-sounds plasma-dataengines-addons
  plasma-desktop plasma-desktop-data plasma-integration plasma-wallpapers-addons plasma-widgets-addons plasma-workspace
  polkit-kde-agent-1 qml-module-qtquick-controls-styles-breeze
Suggested packages:
  orion-gtk-theme kwin-addons
Recommended packages:
  kde-style-qtcurve libqt5multimedia5-plugins qml-module-qtquick-virtualkeyboard bluedevil breeze-gtk-theme fonts-hack fonts-noto
  kde-config-gtk-style kde-config-screenlocker kde-config-sddm kde-style-oxygen-qt5 kgamma5 khotkeys kmenuedit ksshaskpass
  ksysguard kwrited libpam-kwallet5 plasma-discover plasma-pa powerdevil systemsettings user-manager ksysguardd
The following packages will be REMOVED:
  libqalculate5-data libqalculate5v5
The following NEW packages will be installed:
  libqalculate20 libqalculate20-data
The following packages will be upgraded:
  breeze breeze-cursor-theme drkonqi kactivitymanagerd kde-cli-tools kde-cli-tools-data kde-style-breeze kde-style-breeze-qt4
  kdeplasma-addons-data kinfocenter kscreen kwin-common kwin-data kwin-style-breeze kwin-x11 libkwin4-effect-builtins1
  libkwineffects11 libkwinglutils11 libkwinxrenderutils11 milou oxygen-sounds plasma-dataengines-addons plasma-desktop
  plasma-desktop-data plasma-integration plasma-wallpapers-addons plasma-widgets-addons plasma-workspace polkit-kde-agent-1
  qml-module-qtquick-controls-styles-breeze
30 upgraded, 2 newly installed, 2 to remove and 270 not upgraded.
Inst plasma-desktop [4:5.13.5-1+b1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst polkit-kde-agent-1 [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst qml-module-qtquick-controls-styles-breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst kinfocenter [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst plasma-widgets-addons [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst plasma-workspace [4:5.13.5-1+b1] (4:5.14.3-1+b1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst plasma-integration [5.13.5-1+b1] (5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst oxygen-sounds [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst kscreen [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kde-cli-tools [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kactivitymanagerd [5.13.5-1] (5.14.3-1 Debian:unstable [amd64]) []
Inst drkonqi [5.13.4-1] (5.14.3-1 Debian:unstable [amd64]) []
Inst milou [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kwin-x11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst libkwinglutils11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst kwin-common [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst breeze-cursor-theme [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst kde-style-breeze-qt4 [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kde-style-breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kwin-style-breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kde-cli-tools-data [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst plasma-desktop-data [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst plasma-wallpapers-addons [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst plasma-dataengines-addons [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kdeplasma-addons-data [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst libkwinxrenderutils11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst libkwin4-effect-builtins1 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst libkwineffects11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst kwin-data [4:5.13.5-1] (4:5.14.3-2 Debian:unstable [all]) []
Remv libqalculate5v5 [0.9.7-9.2+b1] []
Remv libqalculate5-data [0.9.7-9.2] []
Inst libqalculate20-data (2.8.0-2 Debian:unstable [all]) []
Inst libqalculate20 (2.8.0-2 Debian:unstable [amd64])
Conf plasma-desktop (4:5.14.3-1 Debian:unstable [amd64])
Conf polkit-kde-agent-1 (4:5.14.3-1 Debian:unstable [amd64])
Conf qml-module-qtquick-controls-styles-breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf kinfocenter (4:5.14.3-1 Debian:unstable [amd64])
Conf plasma-widgets-addons (4:5.14.3-1 Debian:unstable [amd64])
Conf plasma-workspace (4:5.14.3-1+b1 Debian:unstable [amd64])
Conf plasma-integration (5.14.3-1 Debian:unstable [amd64])
Conf breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf oxygen-sounds (4:5.14.3-1 Debian:unstable [all])
Conf kscreen (4:5.14.3-1 Debian:unstable [amd64])
Conf kde-cli-tools (4:5.14.3-1 Debian:unstable [amd64])
Conf kactivitymanagerd (5.14.3-1 Debian:unstable [amd64])
Conf drkonqi (5.14.3-1 Debian:unstable [amd64])
Conf milou (4:5.14.3-1 Debian:unstable [amd64])
Conf kwin-x11 (4:5.14.3-2 Debian:unstable [amd64])
Conf libkwinglutils11 (4:5.14.3-2 Debian:unstable [amd64])
Conf kwin-common (4:5.14.3-2 Debian:unstable [amd64])
Conf breeze-cursor-theme (4:5.14.3-1 Debian:unstable [all])
Conf kde-style-breeze-qt4 (4:5.14.3-1 Debian:unstable [amd64])
Conf kde-style-breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf kwin-style-breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf kde-cli-tools-data (4:5.14.3-1 Debian:unstable [all])
Conf plasma-desktop-data (4:5.14.3-1 Debian:unstable [all])
Conf plasma-wallpapers-addons (4:5.14.3-1 Debian:unstable [amd64])
Conf plasma-dataengines-addons (4:5.14.3-1 Debian:unstable [amd64])
Conf kdeplasma-addons-data (4:5.14.3-1 Debian:unstable [all])
Conf libkwinxrenderutils11 (4:5.14.3-2 Debian:unstable [amd64])
Conf libkwin4-effect-builtins1 (4:5.14.3-2 Debian:unstable [amd64])
Conf libkwineffects11 (4:5.14.3-2 Debian:unstable [amd64])
Conf kwin-data (4:5.14.3-2 Debian:unstable [all])
Conf libqalculate20-data (2.8.0-2 Debian:unstable [all])
Conf libqalculate20 (2.8.0-2 Debian:unstable [amd64])
The above looks good, but I did not try it yet. 

Anyone with more experience care to comment?


Offline NochEinNeuer

  • User
  • Posts: 151
Bei mir soll ein ganzer Schwung Pakete entfernt werden:
Code: [Select]
jf2@jf2-pc:~$ sudo apt dist-upgrade
[sudo] Passwort für jf2:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  advancecomp akonadiconsole analitza-common argyll argyll-ref artikulate blinken bolt
  bomber bovo cantor cantor-backend-qalculate cervisia cheese cvs cvsservice
  default-mysql-client-core default-mysql-server-core edict espeak-ng-data
  extra-cmake-modules ffmpegthumbs file-roller filelight fonts-dustin freerdp2-x11
  g++-7 gconf-defaults-service gconf-service gconf2-common gedit-plugin-dashboard
  gimp-help-common gir1.2-accountsservice-1.0 gir1.2-champlain-0.12 gir1.2-dazzle-1.0
  gir1.2-gck-1 gir1.2-gcr-3 gir1.2-gdata-0.0 gir1.2-gdm-1.0 gir1.2-geoclue-2.0
  gir1.2-geocodeglib-1.0 gir1.2-gepub-0.6 gir1.2-gfbgraph-0.2 gir1.2-gmenu-3.0
  gir1.2-gnomebluetooth-1.0 gir1.2-goa-1.0 gir1.2-grilo-0.3 gir1.2-gtkchamplain-0.12
  gir1.2-gweather-3.0 gir1.2-ibus-1.0 gir1.2-mediaart-2.0 gir1.2-mutter-2
  gir1.2-mutter-3 gir1.2-nautilus-3.0 gir1.2-nm-1.0 gir1.2-nma-1.0 gir1.2-polkit-1.0
  gir1.2-rb-3.0 gir1.2-rest-0.7 gir1.2-rsvg-2.0 gir1.2-tracker-2.0
  gir1.2-upowerglib-1.0 gir1.2-wnck-3.0 gir1.2-zeitgeist-2.0 gir1.2-zpj-0.0
  gnome-calendar gnome-clocks gnome-color-manager gnome-documents
  gnome-getting-started-docs gnome-maps gnome-music gnome-screenshot gnome-session-bin
  gnome-session-common gnome-shell-common gnome-sound-recorder gnome-todo-common
  gnome-video-effects gnome-weather granatier guile-2.2-libs iputils-arping
  kaccessible kalarm kalgebra kalgebra-common kalzium kalzium-data kanagram kanjidic
  kapman kapptemplate katomic kblackbox kbruch kcachegrind kcharselect kcolorchooser
  kde-config-cron kdeadmin kdeedu kdeedu-data kdeedu-kvtml-data kdegraphics
  kdegraphics-mobipocket kdegraphics-thumbnailers kdemultimedia kdenetwork
  kdenetwork-filesharing kdepim kdesdk kdesdk-scripts kdesdk-thumbnailers kdetoys
  kdeutils kdf kfourinline kgeography kgeography-data kget kgoldrunner kgpg khangman
  kig kigo killbots kio-audiocd kio-perldoc kiriki kiten kjumpingcube klettres
  klettres-data klickety klines kmines kmousetool kmouth kmplot knavalbattle knetwalk
  kolf kollision kolourpaint kompare konquest konsolekalendar kontact kpart5-kompare
  kpartloader krdc kreversi krfb krosspython kruler ksirk ksnakeduel kspaceduel
  ksquares ksudoku ksystemlog kteatime ktimer ktouch ktouch-data ktuberling kturtle
  kubrick kuiviewer kwordquiz lame libanalitza8 libanalitzagui8 libanalitzaplot8
  libanalitzawidgets8 libappindicator3-1 libargon2-0 libart-2.0-2 libastro1
  libavahi-ui-gtk3-0 libavdevice57 libavfilter6 libavformat57 libavresample3
  libbind9-160 libboost-atomic1.62.0 libboost-chrono1.62.0 libboost-date-time1.62.0
  libboost-filesystem1.62.0 libboost-iostreams1.62.0 libboost-locale1.62.0
  libboost-python1.67.0 libbrlapi0.6 libc6-dbg libcacard0 libcln6
  libcrypt-openssl-bignum-perl libcrypt-openssl-random-perl libcrypt-openssl-rsa-perl
  libdigest-bubblebabble-perl libdns-export1100 libdns1102 libdotconf0 libdrm-dev
  libenca0 libespeak-ng1 libevent-core-2.1-6 libevent-pthreads-2.1-6
  libfile-copy-recursive-perl libfreerdp-client2-2 libfreerdp2-2 libgconf-2-4
  libgconfmm-2.6-1v5 libgdm1 libgepub-0.6-0 libgettextpo0 libgfortran4 libgit2-26
  libgl1-mesa-dev libglade2-0 libglademm-2.4-1v5 libgles1 libglu1-mesa-dev
  libglvnd-core-dev libglvnd-dev libgnome-games-support-1-3
  libgnome-games-support-common libgnome-todo libgpod-common libgpod4 libgsf-bin
  libgsound0 libgtk-vnc-2.0-0 libgtkspell0 libgvnc-1.0-0 libimage-magick-perl
  libimage-magick-q16-perl libindicator3-7 libirs160 libisc169 libisccc160
  libisccfg160 libjs-mootools libjs-sphinxdoc libkasten3controllers3 libkasten3core3
  libkasten3gui3 libkasten3okteta1controllers1 libkasten3okteta1core1
  libkasten3okteta1gui1 libkeduvocdocument5 libkf5akonadixml5 libkf5compactdisc5
  libkf5config-dev libkf5config-dev-bin libkf5config-doc libkf5coreaddons-dev
  libkf5coreaddons-dev-bin libkf5coreaddons-doc libkf5dbusaddons-dev
  libkf5dbusaddons-doc libkf5i18n-dev libkf5i18n-doc libkf5kdegames7
  libkf5kdegamesprivate1 libkf5kmahjongglib5 libkf5package-dev libkf5package-doc
  libkf5plasma-dev libkf5plasma-doc libkf5plotting5 libkf5sane-data libkf5sane5
  libkf5service-dev libkf5service-doc libkf5torrent6 libkf5windowsystem-dev
  libkf5windowsystem-doc libkiten5 libkomparediff2-5 libkompareinterface5 libllvm6.0
  liblouis14 liblwres160 libmagick++-6.q16-8 libmagickcore-6.q16-5
  libmagickcore-6.q16-5-extra libmagickwand-6.q16-5 libmail-dkim-perl libmail-spf-perl
  libmarblewidget-qt5-28 libminiupnpc17 libmozjs-52-0 libmutter-2-0 libnatpmp1
  libncurses5 libncursesw5 libnet-dns-perl libnet-dns-sec-perl libnet-ip-perl
  libnetaddr-ip-perl libokteta2core2 libokteta2gui2 libopenbabel5 libopengl0 libopts25
  libpcaudio0 libphodav-2.0-0 libphodav-2.0-common libpoppler74 libpostproc54
  libprocps6 libprotobuf10 libpthread-stubs0-dev libpython3.6
  libqaccessibilityclient-qt5-0 libqhull7 libqqwing2v5 libqt5opengl5-dev
  libqt5scripttools5 libqt5serialport5 librarian0 libraw16 librhythmbox-core10
  libsgutils2-2 libshp2 libsonic0 libspeechd2 libspice-client-glib-2.0-8
  libspice-client-gtk-3.0-5 libstdc++-7-dev libswscale4 libtinfo5 libtirpc1
  libusbredirhost1 libusbredirparser1 libvncclient1 libvncserver1 libvulkan-dev
  libwinpr2-2 libx11-dev libx11-xcb-dev libx265-151 libxau-dev libxcb-dri2-0-dev
  libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev
  libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev
  libxdamage-dev libxdmcp-dev libxdo3 libxext-dev libxfixes-dev libxshmfence-dev
  libxxf86vm-dev lightsoff linux-headers-4.16.8-towo.1-siduction-amd64
  linux-image-4.16.8-towo.1-siduction-amd64 lokalize marble marble-data marble-plugins
  marble-qt-data meld mesa-common-dev minuet minuet-data okteta optipng orca palapeli
  palapeli-data parley parley-data pastebinit picmi pkg-kde-tools
  plasma-workspace-wallpapers poxml print-manager python3-aeidon python3-attr
  python3-automat python3-brlapi python3-bs4 python3-click python3-colorama
  python3-constantly python3-dateutil python3-diff-match-patch python3-enchant
  python3-gst-1.0 python3-html5lib python3-hyperlink python3-incremental
  python3-iniparse python3-l20n python3-levenshtein python3-louis python3-lxml
  python3-mako python3-markupsafe python3-phply python3-ply python3-pyasn1
  python3-pyasn1-modules python3-pycountry python3-pyqt5.qtsvg python3-scour
  python3-serial python3-service-identity python3-simplejson python3-speechd
  python3-translate python3-twisted python3-twisted-bin python3-tz python3-vobject
  python3-webencodings python3-xapian python3-yaml python3-zope.interface qhull-bin
  qml-module-org-kde-analitza qml-module-org-kde-charts qml-module-org-kde-games-core
  qt5-default qt5-qmake qt5-qmake-bin qtbase5-dev qtbase5-dev-tools qtscript5-dev
  quadrapassel rarian-compat re2c rhythmbox rhythmbox-data rhythmbox-plugin-cdrecorder
  rhythmbox-plugins rocs scour simple-scan sntp sound-icons spamc speech-dispatcher
  speech-dispatcher-audio-plugins speech-dispatcher-espeak-ng
  spice-client-glib-usb-acl-helper step svgpart swell-foop switcheroo-control tali
  translate-toolkit translate-toolkit-doc ttf-sjfonts umbrello unoconv valgrind
  valgrind-dbg vinagre x11proto-core-dev x11proto-damage-dev x11proto-dev
  x11proto-fixes-dev x11proto-xext-dev x11proto-xf86vidmode-dev xbrlapi
  xdg-user-dirs-gtk xdotool xorg-sgml-doctools xtrans-dev
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden Pakete werden ENTFERNT:
  alacarte byobu cfv gconf-editor gconf2 gnome-todo inkscape libdns1100 libpurple-bin
  libqalculate5-data libqalculate5v5 mailnag nautilus-admin nautilus-compare
  nautilus-hide ntfs-config pulseaudio-module-gconf python-bs4 python-cairo
  python-chardet python-crypto python-dbus python-enchant python-gdbm python-gi
  python-glade2 python-gobject python-gobject-2 python-gtk2 python-gtkspellcheck
  python-html5lib python-ldb python-lxml python-nautilus python-newt python-numpy
  python-pkg-resources python-samba python-scour python-six python-tdb
  python-webencodings python-xdg samba-common-bin zim
Die folgenden NEUEN Pakete werden installiert:
  libdns1102 libqalculate20 libqalculate20-data pulseaudio-module-gsettings
Die folgenden Pakete sind zurückgehalten worden:
  cups-browsed dpkg evolution evolution-common evolution-data-server
  evolution-plugin-bogofilter evolution-plugin-pstimport evolution-plugins firefox
  firefox-l10n-de gimp gimp-data gnome-keyring gnome-software gnome-software-common
  gvfs gvfs-backends gvfs-bin gvfs-common gvfs-daemons gvfs-fuse gvfs-libs ifupdown
  initramfs-tools initramfs-tools-core iptables libebackend-1.2-10 libebook-1.2-19
  libebook-contacts-1.2-2 libecal-1.2-19 libedata-book-1.2-25 libedataserver-1.2-23
  libedataserverui-1.2-2 libevolution libfontconfig1 libgimp2.0 libio-socket-ssl-perl
  libip4tc0 libip6tc0 libiptc0 libpython-stdlib libsmbclient libwbclient0 libxtables12
  lightning man-db openssl python python-minimal python-talloc rfkill samba-libs
  thunderbird thunderbird-l10n-de xwayland
Die folgenden Pakete werden aktualisiert (Upgrade):
  cantor cantor-backend-qalculate libbind9-160 libirs160 libisc169 libisccc160
  libisccfg160 libpulse-mainloop-glib0 libpulse0 libpulsedsp paprefs plasma-workspace
  pulseaudio pulseaudio-module-bluetooth pulseaudio-module-zeroconf pulseaudio-utils
  samba-common step
18 aktualisiert, 4 neu installiert, 45 zu entfernen und 55 nicht aktualisiert.
Es müssen noch 0 B von 13,8 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 132 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] n
Abbruch.
jf2@jf2-pc:~$
Das obere ist bei siduction unter KDE. Unter Gnome soll nix entfernt werden.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.771
  • we are the priests ... of the temples of syrinx
This is for the libqalculate transition (80% done)
 which is also related to python3.7 transition (84% done)



Collisions for libqalculate
Quote
  auto-icu through libqalculate
    auto-qtbase-opensource-src through cantor, plasma-workspace, step
    auto-readline through libqalculate
    libncurses6 through libqalculate
    python3.7-default through cantor

Collisions for python3.7-default
Quote
    auto-casacore through casacore
    auto-ceph through ceph
    auto-dcmtk through odil, simpleitk
    auto-eclib through sagemath
    auto-exiv2 through krita
    auto-gdcm through gdcm
    auto-glew through blender, fife, otb, vtk7
    auto-hdf5 through caffe, caffe-contrib, chemps2, mathgl, opencv, psi4, simpleitk, vtk7, xdmf
    auto-hunspell through libreoffice, link-grammar, sigil
    auto-icu through gnucash, libreoffice, odil, postgresql-11, simpleitk, znc
    auto-insighttoolkit4 through otb, simpleitk
    auto-jemalloc through blender
    auto-json-c through gdcm
    auto-libffi through gobject-introspection
    auto-libixion through libixion, liborcus
    auto-libjsoncpp through libopenshot, odil, vtk7
    auto-liborcus through liborcus, libreoffice
    auto-libqalculate through cantor
    auto-libratbag through ratbagd
    auto-nvidia-cuda-toolkit through caffe-contrib
    auto-opencv through caffe, caffe-contrib, opencv, otb
    auto-openvdb through blender
    auto-qtbase-opensource-src through calamares, cantor, ecflow, elektra, krita, libopenshot, libreoffice, mathgl, otb, pcp, pyotherside, pythonqt, renderdoc, retroarch, sigil, virtualbox, vtk7
    auto-readline through casacore, gdb, glusterfs, neuron, pcp, profanity, sagemath
    auto-singular through sagemath
    auto-yaml-cpp through calamares
    boost1.67 through blender, caffe, caffe-contrib, calamares, casacore, ceph, cryptominisat, ecflow, fife, glom, gnucash, isc-kea, krita, liborcus, libreoffice, odil, python-escript, ros-geometry, ros-geometry2, ros-nodelet-core, ros-ros-comm, ycmd
    libgfortran5 through casacore, pyferret
    libncurses6 through bpfcc, gdb, glusterfs, neuron, pcp, profanity, vim
    llvm-defaults through llvmlite, postgresql-11, ycmd
    openssl1.0-rm through borgbackup, cyvcf2, gdcm, glusterfs, hexchat, isc-kea, lcgdm, ldns, ntpsec, omniorb-dfsg, postgresql-11, python-cryptography, ros-ros-comm, simpleitk, unbound, virtualbox, zeroc-ice, znc
    perl through cod-tools, graphviz, hexchat, lcgdm, libsolv, pcp, postgresql-11, vim, znc
    php7.3 through zeroc-ice
    wxwidgets3.0-gtk3 through mathgl

« Last Edit: 2018/11/28, 18:48:44 by piper »
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline finotti

  • User
  • Posts: 135
I also have those packages to be removed:
Code: [Select]
The following packages will be REMOVED:
  kinfocenter libqalculate5v5 plasma-desktop plasma-widgets-addons plasma-workspace sddm-theme-breeze
The following NEW packages will be installed:
  libfdk-aac2 libpython3.7 linux-headers-4.19.0-4.slh.1-aptosid-amd64 linux-image-4.19.0-4.slh.1-aptosid-amd64
The following packages will be upgraded:
  acpid ark aspell-pt-br avidemux avidemux-common avidemux-plugins avidemux-qt binutils binutils-common binutils-x86-64-linux-gnu
  bluedevil breeze breeze-cursor-theme breeze-gtk-theme btrfs-progs calf-plugins cpp-8 cryptsetup cryptsetup-bin
  cryptsetup-initramfs cryptsetup-run cups-filters cups-filters-core-drivers drkonqi feh ffmpeg firefox fonts-opensymbol fragmaster
  g++-8 gcc-8 gcc-8-base gdb-minimal gfortran-8 ghostscript ghostscript-x gir1.2-freedesktop gir1.2-glib-2.0 git git-gui git-man
  gitk gtk3-engines-breeze handbrake-cli handbrake-gtk hplip init init-system-helpers initscripts kactivitymanagerd kde-cli-tools
  kde-cli-tools-data kde-config-gtk-style kde-config-sddm kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen
  kde-style-oxygen-qt4 kdeplasma-addons-data khotkeys khotkeys-data kmenuedit kscreen ksysguard ksysguard-data ksysguardd
  kwin-common kwin-data kwin-style-breeze kwin-x11 libasan5 libasound2 libatkmm-1.6-1v5 libatomic1 libavcodec58 libavdevice58
  libavfilter7 libavformat58 libavresample4 libavutil56 libbasicusageenvironment1 libbinutils libblockdev-crypto2 libblockdev-fs2
  libblockdev-loop2 libblockdev-mdraid2 libblockdev-part-err2 libblockdev-part2 libblockdev-swap2 libblockdev-utils2 libblockdev2
  libcap-ng0 libcc1-0 libclang1-7 libcolorcorrect5 libcryptsetup12 libcupsfilters1 libdap25 libdapclient6v5 libdapserver7v5
  libegl-mesa0 libegl1-mesa libffi6 libfontembed1 libfreetype6 libfreetype6-dev libgbm1 libgcc-8-dev libgcc1 libgdbm-compat4
  libgdbm-dev libgdbm6 libgdcm2.8 libgfortran-8-dev libgfortran5 libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx
  libglapi-mesa libgles2-mesa libglx-mesa0 libgomp1 libgphoto2-6 libgphoto2-port12 libgroupsock8 libgs9 libgs9-common libhpmud0
  libitm1 libjavascriptcoregtk-4.0-18 libkdecorations2-5v5 libkdecorations2private6 libkf5runner5 libkf5screen-bin libkf5screen7
  libkf5sysguard-bin libkf5sysguard-data libkfontinst5 libkfontinstui5 libkpmcore7 libkscreenlocker5 libksgrd7 libksignalplotter7
  libkwin4-effect-builtins1 libkwineffects11 libkwinglutils11 libkwinxrenderutils11 libkworkspace5-5 libldb1 liblirc-client0
  liblircclient0 liblivemedia64 libllvm7 liblsan0 libminiupnpc17 libmlt++3 libmlt-data libmlt6 libmojolicious-perl libmpx2
  libnatpmp1 libnghttp2-14 libnss3 libomp5-7 liborcus-0.13-0 libosmesa6 libpangomm-1.4-1v5 libplasma-geolocation-interface5
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpostproc55 libpowerdevilcore2 libpowerdevilui5 libpq5
  libprocesscore7 libprocessui7 libprotobuf-lite17 libpython3-stdlib libquadmath0 librados2 librbd1 libreoffice
  libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-help-common libreoffice-help-de libreoffice-help-en-us
  libreoffice-impress libreoffice-java-common libreoffice-kde5 libreoffice-l10n-de libreoffice-librelogo libreoffice-math
  libreoffice-report-builder-bin libreoffice-script-provider-python libreoffice-style-breeze libreoffice-style-colibre
  libreoffice-style-tango libreoffice-wiki-publisher libreoffice-writer libruby2.5 libsane-hpaio libsmbclient libsqlite3-0
  libsqlite3-dev libssl-dev libssl1.0.2 libssl1.1 libstdc++-8-dev libstdc++6 libswresample3 libswscale5 libtaskmanager6 libtdb1
  libtiff5 libtsan0 libubsan1 libudisks2-0 libunbound8 libupower-glib3 libusageenvironment3 libvolume-key1 libwayland-egl1-mesa
  libwbclient0 libweather-ion7 libwebkit2gtk-4.0-37 libwxbase3.0-0v5 libwxgtk3.0-0v5 libxatracker2 linux-headers-aptosid-amd64
  linux-image-aptosid-amd64 linux-libc-dev melt milou openssl ovmf oxygen-sounds partitionmanager plasma-browser-integration
  plasma-dataengines-addons plasma-desktop-data plasma-integration plasma-pa plasma-wallpapers-addons plasma-workspace-wallpapers
  policykit-1 polkit-kde-1 polkit-kde-agent-1 powerdevil powerdevil-data printer-driver-hpcups python-mlt python-numpy python3
  python3-dbus.mainloop.pyqt5 python3-jedi python3-minimal python3-numpy python3-psutil python3-pyqt5 python3-pyqt5.qtmultimedia
  python3-pyqt5.qtopengl python3-pyqt5.qtsvg python3-pyqt5.qtwebkit python3-reportbug python3-uno
  qml-module-qtquick-controls-styles-breeze qtchooser reportbug ruby2.5 samba-common samba-libs smbclient sudo supermin
  systemsettings sysv-rc sysvinit-utils thunderbird udisks2 uno-libs3 upower ure vapoursynth vim vim-common vim-runtime xxd
295 upgraded, 4 newly installed, 6 to remove and 0 not upgraded.
Need to get 0 B/550 MB of archives.
After this operation, 239 MB of additional disk space will be used.
Download complete and in download only mode
After some investigation, it seems to me (not an expert at all!) that the problem is with libqalculate5v5.  Maybe forcing the installation of libqalculate20 would fix it?
Code: [Select]
# apt -s install libqalculate20
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  breeze breeze-cursor-theme drkonqi kactivitymanagerd kde-cli-tools kde-cli-tools-data kde-style-breeze kde-style-breeze-qt4
  kdeplasma-addons-data kinfocenter kscreen kwin-common kwin-data kwin-style-breeze kwin-x11 libkwin4-effect-builtins1
  libkwineffects11 libkwinglutils11 libkwinxrenderutils11 libqalculate20-data milou oxygen-sounds plasma-dataengines-addons
  plasma-desktop plasma-desktop-data plasma-integration plasma-wallpapers-addons plasma-widgets-addons plasma-workspace
  polkit-kde-agent-1 qml-module-qtquick-controls-styles-breeze
Suggested packages:
  orion-gtk-theme kwin-addons
Recommended packages:
  kde-style-qtcurve libqt5multimedia5-plugins qml-module-qtquick-virtualkeyboard bluedevil breeze-gtk-theme fonts-hack fonts-noto
  kde-config-gtk-style kde-config-screenlocker kde-config-sddm kde-style-oxygen-qt5 kgamma5 khotkeys kmenuedit ksshaskpass
  ksysguard kwrited libpam-kwallet5 plasma-discover plasma-pa powerdevil systemsettings user-manager ksysguardd
The following packages will be REMOVED:
  libqalculate5-data libqalculate5v5
The following NEW packages will be installed:
  libqalculate20 libqalculate20-data
The following packages will be upgraded:
  breeze breeze-cursor-theme drkonqi kactivitymanagerd kde-cli-tools kde-cli-tools-data kde-style-breeze kde-style-breeze-qt4
  kdeplasma-addons-data kinfocenter kscreen kwin-common kwin-data kwin-style-breeze kwin-x11 libkwin4-effect-builtins1
  libkwineffects11 libkwinglutils11 libkwinxrenderutils11 milou oxygen-sounds plasma-dataengines-addons plasma-desktop
  plasma-desktop-data plasma-integration plasma-wallpapers-addons plasma-widgets-addons plasma-workspace polkit-kde-agent-1
  qml-module-qtquick-controls-styles-breeze
30 upgraded, 2 newly installed, 2 to remove and 270 not upgraded.
Inst plasma-desktop [4:5.13.5-1+b1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst polkit-kde-agent-1 [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst qml-module-qtquick-controls-styles-breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst kinfocenter [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst plasma-widgets-addons [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst plasma-workspace [4:5.13.5-1+b1] (4:5.14.3-1+b1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst plasma-integration [5.13.5-1+b1] (5.14.3-1 Debian:unstable [amd64]) [breeze:amd64 ]
Inst breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst oxygen-sounds [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst kscreen [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kde-cli-tools [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kactivitymanagerd [5.13.5-1] (5.14.3-1 Debian:unstable [amd64]) []
Inst drkonqi [5.13.4-1] (5.14.3-1 Debian:unstable [amd64]) []
Inst milou [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kwin-x11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst libkwinglutils11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst kwin-common [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst breeze-cursor-theme [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst kde-style-breeze-qt4 [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kde-style-breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kwin-style-breeze [4:5.13.4-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kde-cli-tools-data [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst plasma-desktop-data [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst plasma-wallpapers-addons [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst plasma-dataengines-addons [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [amd64]) []
Inst kdeplasma-addons-data [4:5.13.5-1] (4:5.14.3-1 Debian:unstable [all]) []
Inst libkwinxrenderutils11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst libkwin4-effect-builtins1 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst libkwineffects11 [4:5.13.5-1+b1] (4:5.14.3-2 Debian:unstable [amd64]) []
Inst kwin-data [4:5.13.5-1] (4:5.14.3-2 Debian:unstable [all]) []
Remv libqalculate5v5 [0.9.7-9.2+b1] []
Remv libqalculate5-data [0.9.7-9.2] []
Inst libqalculate20-data (2.8.0-2 Debian:unstable [all]) []
Inst libqalculate20 (2.8.0-2 Debian:unstable [amd64])
Conf plasma-desktop (4:5.14.3-1 Debian:unstable [amd64])
Conf polkit-kde-agent-1 (4:5.14.3-1 Debian:unstable [amd64])
Conf qml-module-qtquick-controls-styles-breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf kinfocenter (4:5.14.3-1 Debian:unstable [amd64])
Conf plasma-widgets-addons (4:5.14.3-1 Debian:unstable [amd64])
Conf plasma-workspace (4:5.14.3-1+b1 Debian:unstable [amd64])
Conf plasma-integration (5.14.3-1 Debian:unstable [amd64])
Conf breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf oxygen-sounds (4:5.14.3-1 Debian:unstable [all])
Conf kscreen (4:5.14.3-1 Debian:unstable [amd64])
Conf kde-cli-tools (4:5.14.3-1 Debian:unstable [amd64])
Conf kactivitymanagerd (5.14.3-1 Debian:unstable [amd64])
Conf drkonqi (5.14.3-1 Debian:unstable [amd64])
Conf milou (4:5.14.3-1 Debian:unstable [amd64])
Conf kwin-x11 (4:5.14.3-2 Debian:unstable [amd64])
Conf libkwinglutils11 (4:5.14.3-2 Debian:unstable [amd64])
Conf kwin-common (4:5.14.3-2 Debian:unstable [amd64])
Conf breeze-cursor-theme (4:5.14.3-1 Debian:unstable [all])
Conf kde-style-breeze-qt4 (4:5.14.3-1 Debian:unstable [amd64])
Conf kde-style-breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf kwin-style-breeze (4:5.14.3-1 Debian:unstable [amd64])
Conf kde-cli-tools-data (4:5.14.3-1 Debian:unstable [all])
Conf plasma-desktop-data (4:5.14.3-1 Debian:unstable [all])
Conf plasma-wallpapers-addons (4:5.14.3-1 Debian:unstable [amd64])
Conf plasma-dataengines-addons (4:5.14.3-1 Debian:unstable [amd64])
Conf kdeplasma-addons-data (4:5.14.3-1 Debian:unstable [all])
Conf libkwinxrenderutils11 (4:5.14.3-2 Debian:unstable [amd64])
Conf libkwin4-effect-builtins1 (4:5.14.3-2 Debian:unstable [amd64])
Conf libkwineffects11 (4:5.14.3-2 Debian:unstable [amd64])
Conf kwin-data (4:5.14.3-2 Debian:unstable [all])
Conf libqalculate20-data (2.8.0-2 Debian:unstable [all])
Conf libqalculate20 (2.8.0-2 Debian:unstable [amd64])
The above looks good, but I did not try it yet. 

Anyone with more experience care to comment?


FWIW: Installing libqalculate20 (as shown above) and DU-ing worked for me.  I now have an updated system with no removals (except for outdated libraries).
Just reporting that it worked for me, but since no one more experienced has commented on it, I'd be reluctant to recommend this to anyone.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.771
  • we are the priests ... of the temples of syrinx
Yes, that will work, you can also do (thanks hendrikL)



Code: [Select]
apt install -s  qtchooser python3-dbus.mainloop.pyqt5 python-pyqt5.qtwebkit python3-pyqt5  python-dbus.mainloop.pyqt5 python-pyqt5  libweather-ion7 libtaskmanager6  libplasma-geolocation-interface5  libkworkspace5-5 libcolorcorrect5
But, both of us use buildd repo so ymmv and I won't really recommend this for normal users, just thought I would throw it out there :)

Code: [Select]
apt install -s  qtchooser python3-dbus.mainloop.pyqt5 python-pyqt5.qtwebkit python3-pyqt5  python-dbus.mainloop.pyqt5 python-pyqt5  libweather-ion7 libtaskmanager6  libplasma-geolocation-interface5  libkworkspace5-5 libcolorcorrect5
Reading package lists... Done
Building dependency tree       
Reading state information... Done
python-dbus.mainloop.pyqt5 is already the newest version (5.11.3+dfsg-1+b2).
python-dbus.mainloop.pyqt5 set to manually installed.
python-pyqt5 is already the newest version (5.11.3+dfsg-1+b2).
python-pyqt5 set to manually installed.
Suggested packages:
  python3-pyqt5-dbg
The following NEW packages will be installed:
  libpython3.7 python-pyqt5.qtwebkit python3-dbus.mainloop.pyqt5 python3-pyqt5 python3-sip
The following packages will be upgraded:
  libcolorcorrect5 libkworkspace5-5 libplasma-geolocation-interface5 libtaskmanager6 libweather-ion7 qtchooser
6 upgraded, 5 newly installed, 0 to remove and 55 not upgraded.
Inst libcolorcorrect5 [4:5.14.3-1] (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Inst libkworkspace5-5 [4:5.14.3-1] (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Inst libplasma-geolocation-interface5 [4:5.14.3-1] (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Inst libpython3.7 (3.7.1-1 Debian:unstable [amd64])
Inst libtaskmanager6 [4:5.14.3-1] (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Inst libweather-ion7 [4:5.14.3-1] (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Inst python-pyqt5.qtwebkit (5.11.3+dfsg-1+b2 Debian:unstable [amd64])
Inst python3-dbus.mainloop.pyqt5 (5.11.3+dfsg-1+b2 Debian:unstable [amd64])
Inst python3-sip (4.19.13+dfsg-1 Debian:unstable [amd64])
Inst python3-pyqt5 (5.11.3+dfsg-1+b2 Debian:unstable [amd64])
Inst qtchooser [64-ga1b6736-5] (66-1 Debian:buildd-unstable, Debian:unstable [amd64])
Conf libcolorcorrect5 (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Conf libkworkspace5-5 (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Conf libplasma-geolocation-interface5 (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Conf libpython3.7 (3.7.1-1 Debian:unstable [amd64])
Conf libtaskmanager6 (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Conf libweather-ion7 (4:5.14.3-1+b1 Debian:buildd-unstable, Debian:unstable [amd64])
Conf python-pyqt5.qtwebkit (5.11.3+dfsg-1+b2 Debian:unstable [amd64])
Conf python3-dbus.mainloop.pyqt5 (5.11.3+dfsg-1+b2 Debian:unstable [amd64])
Conf python3-sip (4.19.13+dfsg-1 Debian:unstable [amd64])
Conf python3-pyqt5 (5.11.3+dfsg-1+b2 Debian:unstable [amd64])
Conf qtchooser (66-1 Debian:buildd-unstable, Debian:unstable [amd64])

Edit: Since I already tested the way I posted above on my main machine with no problems, I tested the way finotti posted on 2 machines (one has buildds repo), that too was also without problems  ;)  ymmv but it should work, make sure if you experiment with this to use the -s (-s is not 100% but pretty close most times)
« Last Edit: 2018/11/30, 01:30:00 by piper »
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline vilde

  • User
  • Posts: 670
Since the last three days there is only one package that apt wants to remove "libhdf5-100" can that be gone or shall I wait longer?

Offline drb

  • User
  • Posts: 162
I have libhd5-103 installed which conflicts / replaces libhd5-100

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.771
  • we are the priests ... of the temples of syrinx
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline vilde

  • User
  • Posts: 670
hdf5

security-tracker hdf5
Thanks piper,  but after reading on the links I still don't know if it's safe to let the package go or not, I cant relate the information with my knowledge or more lack of knowledge to understand what to do or not. That's why I ask here.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.771
  • we are the priests ... of the temples of syrinx
What does the output of

Code: [Select]
apt install -s libhdf5-103
say, I don't use this or have it installed
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline vilde

  • User
  • Posts: 670
Yes piper, that package will replace the one I was writing and asking about.
I should have seen that, normally I check the new ones app want to install to compare to removals and I did this time but missed it, sorry for bothering about this.
Anyway, d-u is working  now without visible problems
Thank you piper :)
« Last Edit: 2018/11/30, 18:32:58 by vilde »

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.771
  • we are the priests ... of the temples of syrinx
No problems, all is good ;)
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline bad_aptitude

  • User
  • Posts: 67
When I run apt dist-upgrade I get the following  removals
Code: [Select]
The following packages will be REMOVED:
  kde-plasma-desktop kde-standard kinfocenter libclass-xsaccessor-perl libqalculate5v5 plasma-desktop
  plasma-mediacenter plasma-widgets-addons plasma-workspace
Seems kind of drastic if I want to continue using KDE.
Should I continue to wait?